package de.intevation.flys.themes;

import java.io.Serializable;
import java.util.regex.Matcher;
import java.util.regex.Pattern;


public class ThemeMapping implements Serializable {

    protected String from;
    protected String to;
    protected String patternStr;

    protected Pattern pattern;


    public ThemeMapping(String from, String to) {
        this(from, to, null);
    }


    public ThemeMapping(String from, String to, String patternStr) {
        this.from       = from;
        this.to         = to;
        this.patternStr = patternStr;

        this.pattern = Pattern.compile(patternStr);
    }


    public String getFrom() {
        return from;
    }


    public String getTo() {
        return to;
    }


    public String getPatternStr() {
        return patternStr;
    }


    public boolean applyPattern(String text) {
        Matcher m = pattern.matcher(text);
        return m.matches();
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
